function varargout = test(varargin)
% TEST Application M-file for test.fig
%    FIG = TEST launch test GUI.
%    TEST('callback_name', ...) invoke the named callback.

% Last Modified by GUIDE v2.0 08-Jun-2004 20:23:27

if nargin == 0  % LAUNCH GUI

	fig = openfig(mfilename,'reuse');

	% Use system color scheme for figure:
	set(fig,'Color',get(0,'defaultUicontrolBackgroundColor'));

	% Generate a structure of handles to pass to callbacks, and store it. 
	handles = guihandles(fig);
	guidata(fig, handles);

	if nargout > 0
		varargout{1} = fig;
	end

elseif ischar(varargin{1}) % INVOKE NAMED SUBFUNCTION OR CALLBACK

	try
		if (nargout)
			[varargout{1:nargout}] = feval(varargin{:}); % FEVAL switchyard
		else
			feval(varargin{:}); % FEVAL switchyard
		end
	catch
		disp(lasterr);
	end

end


% --------------------------------------------------------------------
function varargout = slider1_Callback(h, eventdata, handles, varargin)
draw(handles); % die Funktion neu zeichnen


% --------------------------------------------------------------------
function varargout = edit1_Callback(h, eventdata, handles, varargin)
A=get(handles.edit1,'String');  % Zeichenkette im Eingabefeld abfragen
B=str2num(A);                   % Zeichenkette in Zahl umwandeln
if ~isempty(B)                  % wenn Konvertierung erfolgreich war
    set(handles.edit1,'Value',B); % dann die Zahl speichern
    draw(handles);                % mit dem neuen Offset zeichnen 
else                            % SONST
    B=get(handles.edit1,'Value'); % den alten Wert holen
    set(handles.edit1,'String',num2str(B)); % den Wert in Zeichenkette umwandeln und 
                                            % die fehlerhafte Eingabe berschreiben
end



% --------------------------------------------------------------------
function draw(handles)
% zeichnet eine lineare Funktion mit dem durch den Schieberegler ein-
% gestellten Anstieg und dem im Eingabefeld angegebenen Offset
A=get(handles.slider1,'Value'); % Wert des Schiebereglers (min, max, step mit guide eingestellt)
B=get(handles.edit1,'Value');   % Wert des Eingabefeldes (Startwert ebenfalls mit guide)
C=A*[0:10]+B;                   % Funktionswerte im Intervall [0..10]
axis(handles.axes1);            % Diagramm/Zeichenflche selektieren
plot([0:10],C);                 % Ausgabe
ylim([min(C)-1 max([10 C])+1])  % Ausschnitt auf der Y-Achse vorgeben