function [a,b] = fourieranalyse(n, fn, K)
a = zeros(1, K);
b = zeros(1, K);
N = numel(n);
for k = 2:K
    for l = 1:N
        a(k) = a(k) + fn(l) * cos((k - 1) * 2 * pi * n(l) / N);
        b(k) = b(k) + fn(l) * sin((k - 1) * 2 * pi * n(l) / N);
    end;
    a(k) = a(k) * 2 / N;
    b(k) = b(k) * 2 / N;
end;
a(1) = sum(fn) * 2 / N;