daten        = wavread('gdur.wav');
N            = numel(daten);
F            = fft(daten);
F_abs_gesamt = abs(F);
F_abs        = 100:1000;
C            = [[1 0 0] [0 1 0] [0 0 1] [1 1 0] [1 .5 0] [0 0 0] [1 0 1] [0 1 1]];
for i = 100:1000
    F_abs(i-99) = F_abs_gesamt(round(N * i / 22000));
end

trennung = [0.5 1.5 2 2.8 3.5 4.2 5 5.6 7];
index    = 1:8;
trennung = round(22000 * trennung);
for i = 1:8
    [x, index(i)] = max(daten((trennung(i)):(trennung(i + 1))));
    index(i)      = index(i) + trennung(i);
end

subplot(2, 2, 1);
    plot(100:1000, F_abs);
    xlabel('Frequenz');
    ylabel('Betrag');
subplot(2, 2, 2);
    plot(daten);
    hold on;
    xlabel('Zeit');
    ylabel('Amplitude');
    plot(index, zeros(8, 1), 'ro');
    hold off;

subplot(2, 2, 3);
for i = 1:8
    D = daten(index(i):(round(index(i) + 8191)));
    G = fft(D);
    A = abs(G);
    T = 100:1000;
    for j = 100:1000
        T(j - 99) = A(round(8192 * j / 22000));
    end
    plot(100:1000, T, 'Color', C((i*3-2):(i*3)));
    hold on;
end
xlabel('Frequenz');
ylabel('Betrag');
hold off;